Site news

General news and announcements

Page:  1  2  3  4  ()
DiscussionStarted byRepliesLast post
[Library sharing] Learning out of the box Picture of Lam Yi Ling Elaine Lam Yi Ling Elaine 0 Lam Yi Ling Elaine
Fri, 11 Oct 2019, 11:33 AM
All classes remain normal today (11 October 2019) Picture of Fok Chun Wai Ian Fok Chun Wai Ian 0 Fok Chun Wai Ian
Fri, 11 Oct 2019, 10:14 AM
【宏 • 集】野心家!? (下周一10月14日) Picture of Li Collin Ho Lun Li Collin Ho Lun 0 Li Collin Ho Lun
Thu, 10 Oct 2019, 4:45 PM
College closes at 7:00pm today (10 October 2019) Picture of Lo Yuen Kam Joyce Lo Yuen Kam Joyce 0 Lo Yuen Kam Joyce
Thu, 10 Oct 2019, 3:12 PM
【General Education】Wild Camp (Oct 26-27) Picture of School of General Education School of General Education 0 School of General Education
Wed, 9 Oct 2019, 11:33 AM
College closes at 7:00pm today (9 October 2019) Picture of Lo Yuen Kam Joyce Lo Yuen Kam Joyce 0 Lo Yuen Kam Joyce
Wed, 9 Oct 2019, 11:20 AM
College closes at 7:00pm today (8 October 2019) Picture of Lo Yuen Kam Joyce Lo Yuen Kam Joyce 0 Lo Yuen Kam Joyce
Tue, 8 Oct 2019, 3:38 PM
College remains closed on 5 October 2019 (Saturday) Picture of Lo Yuen Kam Joyce Lo Yuen Kam Joyce 0 Lo Yuen Kam Joyce
Fri, 4 Oct 2019, 10:44 PM
College closed at 4 pm (4 October 2019) Picture of Lo Yuen Kam Joyce Lo Yuen Kam Joyce 0 Lo Yuen Kam Joyce
Fri, 4 Oct 2019, 4:13 PM
[SDO] 兒童為本遊戲治療之初探 Picture of Hui Wai Yue Annie Hui Wai Yue Annie 0 Hui Wai Yue Annie
Mon, 30 Sep 2019, 9:33 AM
Moodle service maintenance bobb Ng Terry 0 Ng Terry
Fri, 27 Sep 2019, 10:16 AM
How many items can I borrow? Picture of Lam Kevin Kai Wing Lam Kevin Kai Wing 0 Lam Kevin Kai Wing
Thu, 26 Sep 2019, 5:05 PM
【宏 • 集】Gratia’s Got Talent (Sep 30, Mon, 11:30 am) Picture of Li Collin Ho Lun Li Collin Ho Lun 0 Li Collin Ho Lun
Thu, 26 Sep 2019, 10:12 AM
Interlibrary Loan and Document Delivery Services Picture of Lam Kevin Kai Wing Lam Kevin Kai Wing 0 Lam Kevin Kai Wing
Mon, 23 Sep 2019, 11:32 AM
【宏 • 集】匠Sage(下周一9月16日) Picture of Au Yeung Alan Au Yeung Alan 2 Li Collin Ho Lun
Fri, 20 Sep 2019, 3:34 PM
How to contact your lecturers or functional units in the College bobb Ng Terry 0 Ng Terry
Tue, 17 Sep 2019, 7:10 PM
[SDO] 性格透視工作坊最後召集 19/9截止報名 Picture of Hui Wai Yue Annie Hui Wai Yue Annie 0 Hui Wai Yue Annie
Mon, 16 Sep 2019, 3:25 PM
Library early closure for Mid-Autumn Festival Picture of Lam Yi Ling Elaine Lam Yi Ling Elaine 0 Lam Yi Ling Elaine
Fri, 13 Sep 2019, 11:53 AM
【共享食堂】嗌外賣,梗係嗌foodgratia Picture of School of General Education School of General Education 0 School of General Education
Tue, 10 Sep 2019, 10:22 PM
Recall Service Picture of Lam Kevin Kai Wing Lam Kevin Kai Wing 0 Lam Kevin Kai Wing
Tue, 10 Sep 2019, 3:54 PM
[SDO ] 23/9 性格透視工作坊 Picture of Hui Wai Yue Annie Hui Wai Yue Annie 0 Hui Wai Yue Annie
Mon, 9 Sep 2019, 3:15 PM
The First Assembly (Sep 02, 11:30 am) Picture of Li Collin Ho Lun Li Collin Ho Lun 1 Li Collin Ho Lun
Sat, 7 Sep 2019, 11:25 PM
Database on trial Picture of Lam Yi Ling Elaine Lam Yi Ling Elaine 0 Lam Yi Ling Elaine
Thu, 5 Sep 2019, 3:10 PM
Food & Drink Policy in the Library Picture of Lam Yi Ling Elaine Lam Yi Ling Elaine 0 Lam Yi Ling Elaine
Thu, 5 Sep 2019, 11:28 AM
How to print in the new VDI Windows System bobb Ng Terry 0 Ng Terry
Wed, 4 Sep 2019, 9:35 AM
One small push for a student, one giant help for all of us. bobb Ng Terry 0 Ng Terry
Tue, 3 Sep 2019, 11:55 AM
【共享食堂】一場午餐革命 Picture of School of General Education School of General Education 0 School of General Education
Tue, 3 Sep 2019, 11:23 AM
學院非政治角力場所 Picture of Chan Alex Chan Alex 0 Chan Alex
Wed, 28 Aug 2019, 9:15 PM
Updates to Students from the College Management Picture of Au Elisa Au Elisa 0 Au Elisa
Wed, 21 Aug 2019, 3:46 PM
[DCO] Recruitment of Student Helper - 異象分享午餐會 Picture of Fok Chun Wai Ian Fok Chun Wai Ian 0 Fok Chun Wai Ian
Sat, 27 Jul 2019, 11:21 AM
Free tickets for students「Agatha Christie推理空間」系列演出《謀殺啟事》 Picture of Lo Yuen Kam Joyce Lo Yuen Kam Joyce 0 Lo Yuen Kam Joyce
Fri, 19 Jul 2019, 9:34 AM
邀請你,「逃犯條例」宏恩“Toast”會(Jul 11, 2 pm @ Room 201) Picture of School of General Education School of General Education 0 School of General Education
Mon, 8 Jul 2019, 10:24 AM
Let's Hear from YOU Picture of Li Collin Ho Lun Li Collin Ho Lun 1 Li Collin Ho Lun
Tue, 2 Jul 2019, 3:56 PM
[DCO] Recruitment of Student Helper - 《不論DSE成績如何?升大學機會秘笈?? 》講座 Picture of Fok Chun Wai Ian Fok Chun Wai Ian 2 Fok Chun Wai Ian
Fri, 21 Jun 2019, 4:37 PM
義務心理支援小組及講座 Picture of Fok Chun Wai Ian Fok Chun Wai Ian 1 Fok Chun Wai Ian
Fri, 21 Jun 2019, 12:57 AM
輔導服務(更新) Picture of Hui Wai Yue Annie Hui Wai Yue Annie 0 Hui Wai Yue Annie
Sat, 15 Jun 2019, 10:53 AM
重要呼籲 bobb Ng Terry 0 Ng Terry
Tue, 11 Jun 2019, 1:54 PM
[DCO] Recruitment of Student Helper - 展翅高飛 – 青年升學及職業博覽 Picture of Fok Chun Wai Ian Fok Chun Wai Ian 0 Fok Chun Wai Ian
Thu, 6 Jun 2019, 4:20 PM
[Library Notice] Are you ready for IELTS? Picture of Lam Kevin Kai Wing Lam Kevin Kai Wing 0 Lam Kevin Kai Wing
Mon, 3 Jun 2019, 3:26 PM
Campus Services Suspension on 31 May 2019 Friday bobb Ng Terry 0 Ng Terry
Thu, 30 May 2019, 12:42 PM
[Library Announcement] Library will be closed on Fri, 31 May 2019. Picture of Lam Kevin Kai Wing Lam Kevin Kai Wing 0 Lam Kevin Kai Wing
Thu, 30 May 2019, 11:58 AM
[Library Notice] The QESS Project books and movies at Library Picture of Lam Kevin Kai Wing Lam Kevin Kai Wing 0 Lam Kevin Kai Wing
Wed, 29 May 2019, 11:06 AM
[RO] Workshop on Statistics Software "Stata" - register now! Picture of Yeung Raymond Yeung Raymond 0 Yeung Raymond
Mon, 27 May 2019, 5:16 PM
[還剩兩週 Two Weeks Left!] EBSCO 新機器時代有獎徵答 Take EBSCO New Machine Age Challenge, Get the PRIZES! Picture of Lam Kevin Kai Wing Lam Kevin Kai Wing 0 Lam Kevin Kai Wing
Wed, 22 May 2019, 2:18 PM
專上課程免費試堂日 Picture of Fok Chun Wai Ian Fok Chun Wai Ian 0 Fok Chun Wai Ian
Sat, 18 May 2019, 12:37 PM
[Library sharings] Learning out of the box Picture of Lam Yi Ling Elaine Lam Yi Ling Elaine 0 Lam Yi Ling Elaine
Fri, 17 May 2019, 1:54 PM
College Updates Picture of Au Elisa Au Elisa 0 Au Elisa
Fri, 17 May 2019, 11:48 AM
【S Project】貼近你的小羊 Picture of School of General Education School of General Education 0 School of General Education
Fri, 10 May 2019, 5:52 PM
[Library sharings] Learning out of the box Picture of Lam Yi Ling Elaine Lam Yi Ling Elaine 0 Lam Yi Ling Elaine
Thu, 9 May 2019, 7:42 PM
【S Project】發芽癢 Picture of School of General Education School of General Education 0 School of General Education
Tue, 30 Apr 2019, 10:35 AM
[義工招募] 傳承愛「深」 關懷長者端午探訪活動 Picture of Student Development Office GCC Student Development Office GCC 0 Student Development Office GCC
Tue, 30 Apr 2019, 10:06 AM
[Library Notice] Book Crossing (漂書) in the Big Glass Room Picture of Lam Kevin Kai Wing Lam Kevin Kai Wing 0 Lam Kevin Kai Wing
Thu, 25 Apr 2019, 4:10 PM
【S Project】PhD速遞 Picture of School of General Education School of General Education 0 School of General Education
Thu, 18 Apr 2019, 3:06 PM
培育快樂『家長 』 Picture of Fok Chun Wai Ian Fok Chun Wai Ian 0 Fok Chun Wai Ian
Thu, 18 Apr 2019, 11:31 AM
[Library sharings] Learning out of the box Picture of Lam Yi Ling Elaine Lam Yi Ling Elaine 0 Lam Yi Ling Elaine
Tue, 16 Apr 2019, 6:10 PM
【S Project】當冰山遇上火 Picture of School of General Education School of General Education 0 School of General Education
Fri, 12 Apr 2019, 3:53 PM
[Activity Promotion] 機構講座 Picture of Student Development Office GCC Student Development Office GCC 0 Student Development Office GCC
Fri, 12 Apr 2019, 9:54 AM
[DCO] Recruitment of Student Helper (Application Deadline: 5 pm, 26 April 2019, Friday) Picture of Fok Chun Wai Ian Fok Chun Wai Ian 0 Fok Chun Wai Ian
Thu, 11 Apr 2019, 12:34 PM
ALERT: The suspect has just revisited our campus bobb Ng Terry 0 Ng Terry
Wed, 10 Apr 2019, 1:06 PM
[Activity Promotion] 身體語言秘笈講座 Picture of Student Development Office GCC Student Development Office GCC 0 Student Development Office GCC
Tue, 9 Apr 2019, 10:55 AM
[Library reminder] Before you submit your assignment... Picture of Lam Yi Ling Elaine Lam Yi Ling Elaine 0 Lam Yi Ling Elaine
Mon, 8 Apr 2019, 12:39 PM
SECURITY ALERT bobb Ng Terry 0 Ng Terry
Wed, 3 Apr 2019, 4:06 PM
[Library sharings] Learning out of the box Picture of Lam Yi Ling Elaine Lam Yi Ling Elaine 0 Lam Yi Ling Elaine
Wed, 3 Apr 2019, 2:27 PM
【S Project】留守最後的疾風少年 Picture of School of General Education School of General Education 0 School of General Education
Wed, 3 Apr 2019, 10:13 AM
[Activity Promotion] 香港大學生軍事生活體驗營 Picture of Student Development Office GCC Student Development Office GCC 0 Student Development Office GCC
Sat, 30 Mar 2019, 10:12 AM
第一屆學院推廣天井集思會☕️ Picture of Fok Chun Wai Ian Fok Chun Wai Ian 1 Fok Chun Wai Ian
Wed, 27 Mar 2019, 6:21 PM
[Library sharings] Learning out of the box Picture of Lam Yi Ling Elaine Lam Yi Ling Elaine 0 Lam Yi Ling Elaine
Tue, 26 Mar 2019, 6:10 PM
[Activity Promotion]「聾遊西貢」– 聽障體驗定向比賽 2019 Picture of Student Development Office GCC Student Development Office GCC 0 Student Development Office GCC
Tue, 26 Mar 2019, 3:40 PM
【S Project】凡事佳有可觀之處 Picture of School of General Education School of General Education 0 School of General Education
Mon, 25 Mar 2019, 10:28 AM
[Library Notice] How to locate the right resources? Picture of Lam Kevin Kai Wing Lam Kevin Kai Wing 0 Lam Kevin Kai Wing
Mon, 25 Mar 2019, 9:58 AM
[DCO] GCC Supports "Earth Hour" (地球一小時) 2019 Picture of Fok Chun Wai Ian Fok Chun Wai Ian 0 Fok Chun Wai Ian
Fri, 22 Mar 2019, 2:21 PM
[Library sharings] Learning out of the box Picture of Lam Yi Ling Elaine Lam Yi Ling Elaine 0 Lam Yi Ling Elaine
Mon, 18 Mar 2019, 4:26 PM
【S Project】接載宏恩的司機叔叔 Picture of School of General Education School of General Education 0 School of General Education
Fri, 15 Mar 2019, 10:15 AM
【宏 • 集】破蛋禮(下周一3月18日) Picture of Li Collin Ho Lun Li Collin Ho Lun 0 Li Collin Ho Lun
Thu, 14 Mar 2019, 4:03 PM
【S Project】Her First Priority Picture of School of General Education School of General Education 1 School of General Education
Fri, 8 Mar 2019, 10:57 AM
[Talk Promotion]【青年復興祭壇: 青年僕人領袖】 Picture of Student Development Office GCC Student Development Office GCC 0 Student Development Office GCC
Thu, 7 Mar 2019, 5:31 PM
【宏 • 集】認住呢雙蛋(下周一3月11日) Picture of Li Collin Ho Lun Li Collin Ho Lun 0 Li Collin Ho Lun
Thu, 7 Mar 2019, 2:35 PM
[義工招募] 開心樹貧困獨居長者探訪義工2019-2020年度 Picture of Student Development Office GCC Student Development Office GCC 0 Student Development Office GCC
Tue, 5 Mar 2019, 9:27 AM
[RO] International and Brain Sciences: Exploring Our Psychosocial Brain @ HKU Picture of Yeung Raymond Yeung Raymond 0 Yeung Raymond
Fri, 1 Mar 2019, 4:51 PM
【S Project】守護宏恩嘅麵包超人 Picture of School of General Education School of General Education 0 School of General Education
Thu, 28 Feb 2019, 2:30 PM
VeriGuide maintenance on Mar 2 (Sat) bobb Ng Terry 0 Ng Terry
Tue, 26 Feb 2019, 3:41 PM
Library Recommendation Form Picture of Lam Yi Ling Elaine Lam Yi Ling Elaine 0 Lam Yi Ling Elaine
Tue, 26 Feb 2019, 3:11 PM
【S Project】心之鎖匙 Picture of School of General Education School of General Education 0 School of General Education
Fri, 22 Feb 2019, 10:52 AM
【宏 • 集】回力蛋(下周一2月25日) Picture of Li Collin Ho Lun Li Collin Ho Lun 0 Li Collin Ho Lun
Thu, 21 Feb 2019, 3:44 PM
[義工招募]「陳校長免費補習天地」 Picture of Student Development Office GCC Student Development Office GCC 0 Student Development Office GCC
Wed, 20 Feb 2019, 10:03 AM
Subscription of e-Newspaper Picture of Lam Yi Ling Elaine Lam Yi Ling Elaine 0 Lam Yi Ling Elaine
Mon, 18 Feb 2019, 6:04 PM
【S Project】拿撒勒就在這裡? Picture of School of General Education School of General Education 1 School of General Education
Fri, 15 Feb 2019, 10:47 AM
【講座推介】認識常用於兒童/青少年的精神科藥物之成效 Picture of Lau Wing Yan Lau Wing Yan 0 Lau Wing Yan
Tue, 12 Feb 2019, 5:31 PM
[義工招募] 香港水足印定向2019 Picture of Student Development Office GCC Student Development Office GCC 0 Student Development Office GCC
Mon, 11 Feb 2019, 11:33 AM
【筍嘢】報名成為學生大使 Picture of School of General Education School of General Education 0 School of General Education
Mon, 11 Feb 2019, 10:37 AM
【S Project】待了三十年 Picture of School of General Education School of General Education 0 School of General Education
Fri, 8 Feb 2019, 10:25 AM
【宏 • 集】蛋仔拼搏誌(下周一2月11日) Picture of Li Collin Ho Lun Li Collin Ho Lun 0 Li Collin Ho Lun
Mon, 4 Feb 2019, 10:34 AM
【S Project】在這小小花園裡 Picture of School of General Education School of General Education 2 Au Elisa
Thu, 31 Jan 2019, 4:38 PM
[義工招募]生命樹義工同行計劃:關懷熱線 2019 Picture of Student Development Office GCC Student Development Office GCC 0 Student Development Office GCC
Thu, 31 Jan 2019, 4:10 PM
Library Early Closure for Lunar New Year’s Eve Picture of Lam Yi Ling Elaine Lam Yi Ling Elaine 0 Lam Yi Ling Elaine
Thu, 31 Jan 2019, 11:52 AM
Greetings from the QESS English project assistant Picture of Lam Annie Lam Annie 0 Lam Annie
Mon, 28 Jan 2019, 11:25 AM
【宏 • 集】生蛋變熟蛋(下周一1月28日) Picture of Li Collin Ho Lun Li Collin Ho Lun 0 Li Collin Ho Lun
Thu, 24 Jan 2019, 11:44 AM
[Activity Promotion] HOPES RUNNER 2019靈實生命跑及慈善行 Picture of Student Development Office GCC Student Development Office GCC 0 Student Development Office GCC
Fri, 11 Jan 2019, 2:27 PM
[Activity Promotion] 無障礙城市定向2019 - N世代青年義工訓練計劃 Picture of Student Development Office GCC Student Development Office GCC 0 Student Development Office GCC
Thu, 10 Jan 2019, 1:52 PM
[DCO] Recruitment of Student Helper (Application Deadline: 5 pm, 18 January 2019, Friday) Picture of Fok Chun Wai Ian Fok Chun Wai Ian 0 Fok Chun Wai Ian
Tue, 8 Jan 2019, 11:54 AM
Page:  1  2  3  4  ()